LAV DirectShow Filters Changelog
===================================
0.83.0 - 2026/08/17
LAV Splitter
- Fixed: Various stability improvements for Dolby Vision Enhancement Layer processing

LAV Audio
- Fixed: Minor timing corrections for TrueHD Atmos bitstreaming

0.82.0 - 2026/06/10
LAV Splitter
- NEW: Support for demuxing Dolby Vision Enhancement Layer streams
- NEW: Support for Animated WebP images
- Changed: When demuxing Blu-ray discs, Dolby Vision metadata is available on the primary video stream

LAV Video
- NEW: Support for Animated WebP images
- Changed: Hardware decoding support for DVDs has been removed

0.81.0 - 2026/01/12
LAV Splitter
- NEW: Support for APV (Advanced Professional Video) video streams
- Fixed: VVC in MP4 without CTTS did not play properly
- Fixed: AV1 streams with invalid metadata did not get handled correctly

LAV Video
- NEW: Support for decoding APV (Advanced Professional Video)
- Changed: Re-designed pixel format mapping to be based on a heuristic rather then hard-coded, improving support for rarely-used formats
- Fixed: Deinterlacing of 4:2:2 videos was broken in 0.80

LAV Audio
- Fixed: Bitstreaming TrueHD from Blu-rays with seamless branching could result in out-of-sync audio, or a noticeable gap

0.80.0 - 2025/06/20
LAV Splitter
- NEW: Introduced the IURLSourceFilterLAV interface to allow opening URLs with custom user agent and referrer
- NEW: Added support for WebP images
- Changed: Increased the length of the advanced subtitle selection field, so its no longer cut off after 255 characters
- Changed: Improved buffering behavior on badly interleaved video files
- Fixed: Audio streams with an unknown/unsupported codec are no longer selected for playback, as long as others are present
- Fixed: Improved accuracy of reported FPS from AviSynth scripts

LAV Video
- NEW: D3D11 support for HEVC 4:2:2 and 4:4:4 hardware decoding
- NEW: Dolby Vision extension metadata is exported for renderers to use
- Changed: Added additional media types to support more video streams
- Changed: Updated dav1d for significant AV1 decoding improvements
- Fixed: Improved handling of H.264 4:4:4 files encoded by certain versions of x264
- Fixed: VP9 DXVA2/D3D11 decoding could result in artifacts on some clips
- Fixed: Decoding ProRes reports more accurate color details

LAV Audio
- Changed: Added support for additional ADPCM audio codecs

0.79.2 - 2024/04/08
LAV Splitter
- Fixed: Buffering media from a high latency source was slower then expected (since 0.79)

LAV Audio
- Fixed: Bitstream AC3 audio could fallback to PCM on streams that start with a corrupt audio frame (since 0.78)
- Fixed: Resolved a memory leak when bitstreaming AC3

0.79.1 - 2024/03/28
LAV Video
- Fixed: Resolved a glitch when playing HEVC video

0.79.0 - 2024/03/25
LAV Splitter
- NEW: Support for demuxing VVC video
- Changed: Updated language lists to support all relevant language codes
- Changed: Improved resilience of streaming HLS
- Changed: Tweaked frame rate detection logic

LAV Video:
- NEW: Support for decoding VVC video

0.78.0 - 2023/10/25
LAV Splitter
- NEW: Added identification of DTS:X in DTS HD-HRA streams
- NEW: Support for various stream flags in Matroska containers (Hearing Impaired, and more)
- Changed: Text-based subtitle selection now uses case-insensitive matches (ASCII characters only)
- Fixed: Many stream titles in MP4 files weren't being read properly

LAV Video
- NEW: Support for decoding SMC video
- Fixed: HLG video streams could have their HLG flag overriden in some circumstances

LAV Audio
- Fixed: TrueHD bitstreaming of Atmos tracks could cause output timestamps to be off, confusing some audio renderers

0.77.2 - 2023/03/08
LAV Splitter
- NEW: Added identification for spatial/immersive audio extensions (Atmos, DTS:X)
- Changed: More reasonable rounding for odd aspect ratios, avoiding issues with some video pipelines
- Fixed: Improved compatibility with some FTP servers

LAV Audio
- Fixed: Restored the default channel layouts for 5.1 and 7.1 to the correct layout (accidentally changed in 0.77, causing some playback issues)
- Fixed: Some TrueHD files would not decode correctly
- Fixed: Clipping protection did not engage when using Integer output

0.77.1 - 2022/11/15
LAV Splitter
- Fixed: More MP4 keyframe information fixes

0.77.0 - 2022/11/10
LAV Splitter
- Fixed: Improved handling of multichannel PCM channel assignments
- Fixed: MP4 Keyframe information could be wrong

LAV Audio
- NEW: Support for audio with more then 8 channel, including automatic downmixing if required

0.76.1 - 2022/02/28
LAV Splitter
- Changed: When requesting a HTTP URL, the URL itself is send as a referrer to increase compatibility
- Fixed: The priority of "Default" subtitle tracks in MKV files was wrong when a forced track was present

LAV Video
- Changed: Improved color reporting for DVD menus/subtitles
- Fixed: D3D11 surface clearing did not work properly on Intel GPUs

0.76.0 - 2022/01/22
LAV Splitter
- NEW: Added an option to re-evaluate subtitle stream selection when the audio language changes
- NEW: Improved advanced subtitle selection syntax with negated flags (positive and negative flags can now be combined for more flexible selection)
- Changed: Improved variant/stream selection in DASH and HLS streams
- Changed: Video streams with the highest bitrate are preferred (if equal resolution)

LAV Video
- NEW: Support for passing DoVi metadata to video renderers
- NEW: BobWeaver (BWDIF) software deinterlacer (a blend of YADIF and Weston, focusing on their individual strengths)
- NEW: Support for FIC screen capture video
- Changed: D3D11 video surfaces are flushed to black before decoding, avoiding green artifacts
- Changed: D3D11 devices are created up to feature level 12.1

LAV Audio
- Fixed: TrueHD bitstreaming could result in A/V sync issues or drop-outs
- Removed: Support for the external DTS decoder (dtsdecoderdll.dll) has been removed

0.75.1 - 2021/06/21
LAV Splitter
- Changed: AV1 files with no extradata will now generate a format header with stream information for decoders to use
- Fixed: Improved stream selection when multiple "default" video tracks are present

LAV Video
- Changed: Updated dav1d for significant improvements in AV1 10-bit decoding performance
- Changed: AV1 hardware decoding will more reliably engage when provided with additional stream information from the demuxer

LAV Audio
- Fixed: Opus decoding had audible artifacts in some files in 0.75

0.75.0 - 2021/03/30
LAV Splitter
- NEW: Support for DASH streaming
- NEW: WebVTT support in Matroska/WebM
- Changed: Improved Font support from Matroska files
- Fixed: Large queue size limits could result in the wrong limit being applied
- Fixed: Resolved a memory leak in Matroska demuxing
- Fixed: Avoid selecting a stream with only a single video frame in MP4 files, which is often a cover art
- Fixed: Seeking in Matroska files with only audio cue points did not function
- Fixed: Seeking to the beginning of certain HLS streams did not work properly
- Fixed: Duration information in Matroska files is more reliable

LAV Video
- NEW: AV1 DXVA2/D3D11 hardware decoding support
- NEW: ProRes 4444 XQ support
- Faster: Updated dav1d decoder and improved thread configuration for significantly improved AV1 decoding speed
- Fixed: Added a workaround for VP9 hardware decoding on AMD video cards
- Fixed: H.264 streams exceeding the Level 5.1 DPB limit will no longer be hardware decoded
- Fixed: Improved handling of missing reference frames in H.264 streams with hardware decoding
- Fixed: HEVC streams encoding 8-bit video in a Main10 profile can be properly hardware decoded
- Deprecated: NVIDIA CUVID and Intel QuickSync have been deprecated for future removal/replacement

LAV Audio
- Fixed: Resolved an issue with glitching TrueHD bitstreaming on seamless-branching titles
- Fixed: Resolved a compatibility issue with some playback applications
- Deprecated: Support for the binary DTS decoder (dtsdecoderdll.dll) has been deprecated for future removal

0.74.1 - 2019/03/19
LAV Video
- Fixed: VP9 video could produce wrong timestamps, resulting in a black screen or other playback disruptions
- Fixed: Decoding VP9 from a non-keyframe (ie. after a seek, or badly cut file) would not always recover properly once a keyframe was encountered

0.74.0 - 2019/03/16
LAV Splitter
- Changed: Using GnuTLS for HTTPS and other TLS protocols, improving performance and compatibility with a lot of web streaming services (ie. YouTube Live Streams through youtube-dl, and more)
- Fixed: Keyframes in MP4 files were being reported with a slightly offset timestamp, resulting in slow keyframe seeking
- Fixed: Subtitles that stretch over chapter boundaries could be lost in Ordered Chapter MKV files
- Fixed: Fonts embedded in MKVs without a proper mimetype were not being imported (now it checks the file extensions for .ttf/.otf as well)

LAV Video
- NEW: Initial support for parsing HDR10+ (SMPTE ST 2094-40) metadata, and passing it to the video renderer
- NEW: Using the dav1d AV1 decoder for significantly improved AV1 decoding performance
- Changed: Re-enabled experimental hardware acceleration for H.264 MVC 3D decoding on Intel GPUs, disabled by default
- Changed: Updated Intel MediaSDK dispatchers to the latest Media SDK, fixing compatibility with newer runtimes in the Intel DCH drivers
- Changed: Improved support for additional UtVideo subtypes

LAV Audio
- Changed: Added an option to disable the PCM fallback when bitstreaming is requested
- Fixed: Further improvements to TrueHD Bitstreaming, resolving glitching on more new titles (particularly seamless branching titles)
- Fixed: Automatic fallback from bitstreaming to PCM could crash in some situations

0.73.1 - 2018/10/11
LAV Video
- Fixed: Container-provided color information will only overwrite video bitstream color information if its set and valid

LAV Audio
- Fixed: Certain multi-channel AAC streams did not decode in 0.73

0.73.0 - 2018/10/05
LAV Splitter
- Changed: Export the description of cover art and attachments for use by players
- Fixed: Properly marked the packet allocator as providing read-only packets, to avoid crashes with in-place transform filters

LAV Video
- NEW: Support for AV1 decoding using libaom
- Changed: Enabled VP9 hardware acceleration by default
- Fixed: The aspect ratio of certain WMV/VC-1 files was not being properly respected in the WMV9 MFT decoder

0.72.0 - 2018/06/19
LAV Video
- Changed: Enabled CineformHD decoding by default, since the decoder has much improved
- Fixed: Decoding Matroska files with Linked Segments which used old x264 4:4:4 encodes could result in corruption

LAV Audio
- NEW: Blu-ray Dolby Digital Plus 7.1 decoding and bitstreaming support
- NEW: LAV Audio will fallback to audio decoding if bitstreaming is not supported by the audio renderer/hardware
- Fixed: DTS-HD HRA bitstreaming did not work properly with many A/V receivers
- Fixed: TrueHD bitstreaming could result in drop-outs on high bitrate TrueHD+Atmos streams

0.71.0 - 2018/02/15
General
- LAV Filters now requires Windows Vista or newer, Windows XP is no longer supported

LAV Splitter
- NEW: Preliminary support for UHD Blu-ray parsing

LAV Video
- NEW: D3D11 hardware accelerated decoding (native mode with madVR, Copy-Back otherwise)
- Fixed: HDR metadata was not properly communicated to madVR in DXVA2-Native mode
- Fixed: Anamorphic WMV9/VC-1 videos were not being played back with the correct aspect ratio in all cases
- Fixed: Changing certain settings while playback was paused could result in a deadlock
- Fixed: Playing severely corrupted HEVC streams with hardware decoding could result in playback failing entirely, instead of skipping over the corruption

LAV Audio
- NEW: Basic support for AAC 960 streams (common in DVB radio streams)

0.70.2 - 2017/07/06
LAV Video
- Fixed: DXVA2 decoding could fail in 0.70 after a dynamic media type change

0.70.1 - 2017/07/01
LAV Video
- NEW: DXVA2-CopyBack uses D3D9Ex to allow headless operation
- Changed: Increased the maximum number of decode threads to 32
- Changed: Rebalanced the "Auto" thread strategy to use the exact number of available CPU cores, instead of 1.5x the cores
- Fixed: Certain H264 streams could crash in 0.70 due to lack of buffer padding

0.70.0 - 2017/06/15
General
- Official LAV Filters builds require a SSE2 capable CPU

LAV Splitter
- Fixed: Certain MP4/MOV files didn't play or seek correctly in recent versions of LAV Splitter
- Fixed: HEVC in MP4 without PTS timestamp is being signaled appropriately
- Fixed: Closing RTSP streams did not properly call the TEARDOWN function

LAV Video
- NEW: CUVID support for VP9 8/10-bit and HEVC 10/12-bit decoding
- NEW: DXVA2 support for VP9 10-bit decoding
- Changed: Simplified the internal dataflow to reduce overhead and improve performance
- Changed: Enabled P010 output to EVR on Windows 10 Creators Update
- Fixed: Y416 output was incorrect (required by madVR 0.91.8 and newer)
- Fixed: Parsing H.264 MVC SEI NALs could fail in some cases
- Fixed: CUVID decoding could deinterlace progressive streams under certain circumstances, degrading the quality

LAV Audio
- Fixed: LATM AAC streams with Program Config Elements (PCE) (common in DVB-T2 broadcast) played with audible distortions
- Fixed: Very short PCM audio streams didn't play properly

0.69.0 - 2016/12/11
LAV Splitter
- NEW: Support for extracting HDR metadata from YouTube HDR VP9 streams
- Fixed: Reading MKV files could crash when encountering tags for unknown or disabled streams

LAV Video
- NEW: Support for 10-bit UtVideo
- NEW: MagicYUV decoding support
- NEW: Experimental support for CineformHD decoding
- Fixed: Converting 12-bit 4:4:4 YCbCr to RGB32 would result in a garbled image
- Fixed: Decoding certain H.264 streams could drop a few frames at the start of playback

LAV Audio
- NEW: DTS Express (LBR) decoding support

0.68.1 - 2016/05/05
LAV Splitter
- NEW: Support for reading metadata tags from MKV files (including the "3d-plane" MVC 3D tag from MakeMKV 1.9.10 and newer)
- Fixed: Improved handling of QuickTime codecs in MKV files
- Fixed: S302M audio streams with non-pcm content did not work anymore (requires an external decoder)

LAV Video
- Changed: Flags for BT.2020 are exported in DXVA2_ExtendedFormat (previously only reported to madVR, since the Windows SDK did not specify them)
- Changed: Prevent connections to the "AVI Decompressor" filter which could result in a broken image or crashes otherwise
- Fixed: Some progressive files could report the wrong FPS when software deinterlacing was turned on
- Fixed: MPEG-2 streams using "intra refresh" did not decode properly

LAV Audio
- Fixed: Decoding MPEG Audio streams from the Microsoft MPEG-1 Splitter could result in playback starting with an audible glitch

0.68.0 - 2016/03/08
LAV Splitter
- NEW: H.264 MVC 3D demuxing from MKV 3D, Blu-ray discs and Blu-ray SSIF files
- Fixed: The bitdepth of DTS-HD MA streams is reported properly in the stream information

LAV Video
- NEW: H.264 MVC 3D decoding (requires madVR 0.90 or newer)
- NEW: HEVC HDR streams export the HDR metadata to the video renderer (requires madVR 0.89.18 or newer)
- NEW: VP9 DXVA2 Hardware Acceleration
- NEW: Weston Three Field Deinterlacing filter (w3fdif)
- NEW: Ability to choose which GPU is used for DXVA2-CopyBack decoding
- Changed: Removed the CUVID HQ processing option, it is now automatically used when appropriate
- Fixed: CUVID would crash when playing certain HEVC files
- Fixed: Some pixel format conversions were much slower than expected
- Fixed: Pixel Format changes mid-stream were not re-negotiated with the renderer in all cases
- Fixed: Changes in the framerate due to software deinterlacing are properly reflected in the media type

LAV Audio
- Fixed: Increased PCM buffering to avoid stuttering with TrueHD on some audio devices

0.67.0 - 2015/11/15
LAV Splitter
- NEW: Support for HTTPS URLs
- NEW: Automatic selection of the highest quality variant in HLS streams
- Changed: Reverted back to the old ASF demuxer
- Changed: Backported ASF seeking improvements to the old ASF demuxer
- Fixed: ASS in AVI did not work in recent versions
- Fixed: RTP/RTSP did not work properly in 0.66

LAV Video
- NEW: Improved DVD subtitle and menu drawing with madVR (support for madVRs subtitle repositioning and lower latency)
- Changed: HEVC and 4K HWAccel is enabled by default
- Changed: Enabled DXVA2-CB Direct Mode with YV12 output on 8-bit sources
- Fixed: DVD menus could show a black screen instead of the menu in some situations

LAV Audio
- Fixed: Improved clipping behavior in badly mastered DTS-HD tracks

0.66.0 - 2015/09/22
LAV Splitter
- NEW: Added options to increase the queue size for increased buffering
- Changed: Switched ASF/WMV demuxing to a new demuxer from Libav
- Fixed: Improved seeking with MPEG-TS files which contain teletext streams

LAV Video
- NEW: Support for DXVA2-Native decoding of HEVC 10-bit with EVR on supported GPUs
- Changed: 4K Video Decoding on AMD graphics card is now enabled (needs recent drivers to work properly)
- Changed: DXVA2-CB decoding uses less memory on NVIDIA graphics cards
- Fixed: H264 DXVA2 decoding failed when no SPS/PPS was available in the media type
- Fixed: Conversion of RGB48 to RGB32/24 did not properly use dithering
- Fixed: Improved handling of a few DVD menu quirks
- Fixed: Decoding 10-bit video with EVR could result in a black screen

LAV Audio
- Changed: 5.1 audio favors the "Side" 5.1 layout, which conforms to modern surround standards

0.65.0 - 2015/04/21
LAV Splitter
- NEW: Support for MKV subtitle Cues to show subtitles immediately after a seek
- NEW: Attachments and embedded cover art images are exported through the IDSMResourceBag interface
- Fixed: Improved demuxing of HEVC in MPEG-TS and increased the reliability of the SPS/PPS/VPS extraction
- Fixed: Demuxing Blu-rays/MPEG-TS where the first stream was not a video stream could result in broken timestamps
- Fixed: Seeking in MKVs which are currently being written is more reliable

LAV Video
- Fixed: Improved HEVC DXVA2 decoding on a few samples
- Fixed: Playback of VFR MPEG-4 in AVI had wrong timestamps in 0.64
- Fixed: Improved handling of DVD subtitles without timestamps

LAV Audio:
- NEW: Native DTS-HD decoding using libdcadec
- Changed: 5.1 audio prefers the speaker mask with side channels, to match recent specifications

0.64.0 - 2015/02/13
General
- NEW: Individual LAV Filters can now be blacklisted through the registry by creating a key with the executable name in HKCU\Software\LAV\<Filter>\Blacklist

LAV Splitter
- NEW: Support for RTMP using rtmpdump-style parameter syntax
- NEW: Support for Opus-in-TS
- Fixed: The language reported for audio/subtitle streams on some Blu-rays could be wrong

LAV Video
- NEW: HEVC Main10 decoding in DXVA2 Copy-Back mode
- Faster: DXVA2 Copy-Back in direct output mode uses up to 50% less CPU and performance is improved accordingly
- Fixed: H.264 streams with only DTS timestamps would play out of sync with DXVA2
- Fixed: DXVA2 could crash on some MPEG-2 streams
- Fixed: Improved compatibility with a few HEVC streams when using DXVA2

0.63.0 - 2014/10/03
LAV Splitter
- NEW: Support for playing AES encrypted HLS streams
- NEW: Advanced Subtitle selection allows selecting subtitles by a string match on the stream title
- NEW: Support for rtspu, rtspm, rtspt and rtsph URLs to force the RTSP transport protocol
- NEW: Animated GIF image support
- Fixed: Improved timestamp handling of badly muxed/corrupted H.264 streams
- Fixed: 4K ProRes streams in MKV didn't play reliably
- Fixed: Some HEVC streams in MKV/MP4 didn't play properly
- Fixed: VobSubs in MP4 didn't properly export their color palette
- Fixed: Streaming MP3s through the Microsoft URL filter could result in the last audio frame to be partially repeated
- Fixed: The duration of MP3 files would be wrong if it contained long IDv3 tags
- Fixed: TrueHD streams with an Dolby Atmos sub-stream were not demuxed properly

LAV Video
- NEW: Experimental support for CUVID and DXVA2 HEVC acceleration
- Faster: HEVC decoding is up to 100% faster
- Fixed: DVD subtitle rendering could crash in 64-bit builds

LAV Audio
- Fixed: TrueHD streams with an Dolby Atmos sub-stream did not decode

0.62.0 - 2014/06/12
LAV Splitter
- Fixed: The filtered Forced Subtitles stream did not properly send all related subtitle data in some cases

LAV Video
- NEW: Implemented a WMV9 MFT decoder to replace the old DMO decoder for VC-1/WMV3 on Windows 7 and above
- NEW: Support for VP7 video
- Fixed: Multi-threaded video decoding could result in a handle leak on some systems
- Fixed: Video processing was slow on Windows XP due to inefficient memcpy use
- Fixed: DVD subtitles could overlap on some discs

LAV Audio
- Fixed: Dynamic format switching to an audio stream with a different sample rate did not work in some cases

0.61.2 - 2014/04/08
General
- Installer: The installer does now backup DirectShow registry settings before overwriting them, allowing uninstall to restore them

LAV Splitter
- NEW: Support for ProRes in MKV
- Fixed: Opening AviSynth scripts with LAV Splitter which used DirectShowSource to load LAV Splitter again caused a deadlock
- Fixed: Audio-only AviSynth scripts did not show a duration.
- Fixed: Cue Sheets with directives with empty parameters could cause a crash

LAV Video
- Fixed: AVC1 video streams without SPS/PPS in the configuration record did not decode properly
- Fixed: Decoding H.264 streams with a resolution change using the DXVA2 Copy-Back decoder could crash
- Fixed: YUV->RGB conversion produced the wrong output for the last line of odd-height 4:2:2 or 4:4:4 files

LAV Audio
- Changed: LAV Audio offers more alternate output configurations to the audio renderer if the audio renderer refuses our preferred format.
- Fixed: Decoding AC3 audio with corrupted audio frames could cause unnecessary format changes to occur and disrupt playback
- Fixed: Decoding DTS audio on a CPU without SSE2 support could crash on some streams

0.61.1 - 2014/03/07
LAV Splitter
- NEW: Support for opening "icyx://" stream URLs
- Fixed: Opening of some Blu-ray discs would take several minutes and could hang the player.

LAV Video
- Fixed: Aggressive Deinterlacing is no longer applied to soft-telecined content, which caused severe playback issues.

0.61.0 - 2014/03/04
LAV Splitter
- NEW: Support for "demuxing" AviSynth scripts (requires AviSynth, 2.6 recommended)
- NEW: Support for reading ICY stream metadata from ShoutCast streams
- Fixed: The duration of DVB MPEG-TS files is being detected more reliably
- Fixed: The ITrackInfo interface was not available in the last few versions
- Fixed: The duration of certain Ogg Vorbis streams was wrong
- Changed: DTS-HD audio tracks are now exposed using the official DTS-HD media type, in addition to the old DTS type
- Workaround: Block WMP/WMC from always overwriting the initial track selection

LAV Video
- NEW: Support for Duck TrueMotion 1/2
- NEW: Support for BT.2020 in YCbCr -> RGB conversions
- Fixed: Format conversion could cause out of memory errors when converting high-resolution videos
- Fixed: The decoder could crash if DXVA2 decoding failed and the software decoder is unavailable
- Fixed: Reduced binary bloat caused by the YCbCr -> RGB converter, reducing binary size to nearly half
- Fixed: Playback of RV30/RV40 was not smooth in 0.60
- Fixed: Video corruption when using DXVA2 on Intel GPUs when decoding certain VC-1 or MPEG-2 clips
- Fixed: Decoding WMV3 Complex profile automatically falls back to software, since hardware decoding is unsupported.
- Faster: DXVA2 Copy-Back decoding on Intel GPUs is significantly faster
- Changed: If the wmv9dmo decoder is unavailable, the FFmpeg decoder is automatically used instead
- Changed: Updated QuickSync decoder to the latest version, fixes a few timestamp issues.
- Changed: Relaxed the resolution checks for H.264 decoding on AMD GPUs, allowing files with 2K resolutions to be decoded (ie. 2048x1280, etc.)

LAV Audio
- NEW: Support for ATRAC3+
- Fixed: Decoding AC3 audio could produce glitches in playback due to too aggressive error checking.

0.60.1 - 2014/01/14
LAV Splitter
- Fixed a crash when opening MPEG-2 files with Stereo3D Metadata
- Improved the format of the chapter names created from embedded cue sheets
- Fixed an incompatibility in the IPropertyBag metadata interface with a few players

0.60.0 - 2014/01/12
LAV Splitter
- Improved playback of a few Blu-ray discs, avoids a hiccup at clip change
- Support for reading embedded Cue Sheets from audio files as chapters
- Added support for reporting the stream bitrate through IBitrateInfo (for MPC-HC et al.)
- Additional metadata from the source file is exported through IPropertyBag (including "ROTATION" for video orientation information)
- Fixed demuxing of MKV files with huge SSA/ASS format blocks (> 1MB)
- Fixed playback of certain MPEG4 ASP streams in MKV to be smooth

LAV Video
- Added support for VC-1/WMV3 DXVA2 decoding on recent Intel GPUs (Ivy Bridge/Haswell, needs recent drivers)
- Fixed a crash when stopping playback or seeking on AMD when using DXVA2 Native
- Fixed playback of WMVA videos in software mode
- Fixed a few issues with output of odd-height videos when converting to various pixel formats
- Fixed a few corner cases when reporting the video range to madVR
- Fixed a crash when playing raw video files with unaligned width (non mod16)

LAV Audio
- The version of the DTS DLL decoder is now checked, and versions before 1.1.0.0 are blocked (since they do not work)
- Fixed an issue with DTS parsing which could result in occasional audio stutter
- Improved support for Opus audio pre-skip

0.59.1 - 2013/11/04
LAV Splitter
- Fixed a regression when demuxing AAC audio from MP4/MOV files

0.59.0 - 2013/11/03
LAV Splitter
- Support for demuxing H.265/HEVC and VP9
- Improvements for H.264 in AVI or as raw video streams
- Improved stream detection in files which start with a few seconds audio before the video
- Improved timestamp handling when demuxing seamless branching Blu-rays, fixes a few hicups/freezes mid-stream

LAV Video
- Support for decoding H.265/HEVC and VP9
- Accept H.264 from the MainConcept demuxer
- Added support for DV Video from Canopus cameras

LAV Audio
- Fixed playback issues on a few DTS and DTS-HD tracks

0.58.2 - 2013/07/26
LAV Splitter
- Fixed demuxing of WavPack from MKV

LAV Video
- Fixed a crash when YADIF was being used on a single- or dual-core CPU

LAV Audio
- Fixed decoding of DTS streams with a frame size change mid-stream

0.58.1 - 2013/07/09
LAV Splitter
- Improved UDP network streaming
- Added a new option to configure the stream analysis duration of network streams
- Reduced subtitle delay on certain Blu-ray titles
- Improved detection of DTS-in-WAV
- Improved I/O behaviour for sequential reading from optical media

LAV Video
- Fixed dynamic reconnection on parameter changes (Aspect Ratio, etc) with VMR-9
- Support for Apple Intermediate Codec (ICOD)
- dxva2: added a check for AMD UVD/UVD+ GPUs to ensure the H.264 Level 4.1 DPB restrictions are met

LAV Audio
- Fixed a regression decoding certain Ogg Vorbis streams

0.58.0 - 2013/06/23
General
- LAV Filters now includes a manifest file to control DLL loading
- Fixed the shortcuts to the configuration dialogs created by the installer in the start menu

LAV Splitter
- Handle the "Default" flag in MKV files with multiple video streams
- Fixed a regression in VC-1 demuxing which caused some streams to fail decoding with the WMV9 DMO decoder
- Improved transition between ordered chapters in certain (badly formed) MKV files
- Improved handling of AVC1 in AVI files
- Improved accuracy of IAMStreamSelect::get_CurrentMarker
- Several potential crash fixes and stability improvements

LAV Video
- YADIF deinterlacing is now multi-threaded, significant performance improvement on multi-core CPUs
- Improved detection of progressive streams to ensure deinterlacing is disabled, especially when "Aggressive Deinterlacing" is used
- Restored Fraps constant frame rate output by proper handling of repeated frames
- Support for the new UtVideo sub-types, and fixed a regression in UtVideo decoding
- cuvid: fix double-rate deinterlacing on certain streams without timing information
- Updated the Intel QuickSync Decoder to 0.44

0.57.0 - 2013/05/20
LAV Splitter
- Added a Popup Menu to the Tray Icon which allows Stream, Edition and Chapter switching
- Improved stream selection in files with multiple video streams
- Improved performance when opening MKVs with linked segments
- Fixed playback of MKVs with Segment Linking and Vorbis Audio

LAV Video
- Enabled Hardware/GPU Deinterlacing when using the QuickSync decoder
- Support for JPEG2000 DCinema streams
- Support for RGB48 output, and high-quality dithering of RGB48 to RGB32
- Fixed a crash with DXVA2 Native on AMD GPUs in certain situations
- Improved detection of H.264 RGB streams, improves support with EVR
- Adjusted performance tuning for consistent performance in both playback and transcoding (in 0.56, transcoding could be slow)

LAV Audio
- Use the FLAC channel mask from metadata, fixes playback of FLAC files with non-standard channel layouts

0.56.2 - 2013/04/19
LAV Splitter
- Emit the EC_LENGTH_CHANGED event when the edition is changed, to help players update their playback duration

LAV Video
- dxva2: fixed corruption/dropped frames after seeking in interlaced MPEG-2/VC-1 streams
- dxva2: fixed corruption after seeking in interlaced H.264 on AMD GPUs
- dxva2: fixed decoding of H.264 on AMD UVD/UVD+ GPUs (HD 2xxx/3xxx Series)
- dxva2: disabled wmv3 decoding on AMD UVD/UVD+ GPUs (until it can be fixed)
- Fixed colorspace used for YUV Fraps to always be BT.709
- Added support for MPEG-4 Video with the BLZ0 FourCC (used in older Blizzard games)

0.56.1 - 2013/04/13
LAV Splitter
- Fixed various crashes with ordered chapter MKVs
- Fixed a crash when playing an MKV with a disabled subtitle track
- Fixed switching between video streams with different codecs (ie. H264 -> MPEG2)

LAV Video
- Fixed a crash on close with DXVA2 Native
- Re-tuned YADIF for smooth playback instead of benchmarking

0.56.0 - 2013/04/10
General
- Major ffmpeg update, the DLLs have had their version number increased

LAV Splitter
- Support for Matroska Ordered Chaptes / Segment Linking
- Improved support for parsing language tags from OGM files
- Small performance improvements by avoiding copying the stream data in memory needlessly
- Improved duration calculation for MP3 files

LAV Video
- Performance improvements for single-threaded decoders and YADIF (up to 20% in some situations)

0.55.3 - 2013/02/10
LAV Splitter
- Improved handling of Annex B H.264 in many containers
- Improved support for external source filters without seeking ability (live sources)
- Fixed duration in some MP4/MOV files
- Fixed stream program assignment for some MPEG-TS files (resulted in some streams not visible)

LAV Video
- Added support for TSCC2
- Fixed a crash when playing certain H.264 files with QuickSync or CUVID

0.55.2 - 2013/01/25
LAV Splitter
- Improved support for MP4-style H.264 in AVI
- Further improvements for AAC in MPEG-TS
- Small improvements to handling Blu-rays with odd stream configurations
- Improved handling of Ogg Vorbis streams

LAV Video
- Basic support for playing DVDs in different playback rates
- Fixed DXVA2 resource cleanup which may have caused a crash in some situations with DXVA2-Native
- Fixed A/V Sync when using the WMV9 DMO decoder (especially noticeable after seeking)

LAV Audio
- Improved AC3 decoding quality (thanks to madshi for the patch in ffmpeg)

0.55.1 - 2013/01/11
General
- Clicking the Tray Icon with a Property Page already active brings it back to the front

LAV Splitter
- Added an option to disable quality-based audio stream selection (selects the first stream matching the language preferences)
- Removed Bitrate from audio quality criteria, because its too unreliable at this point.

LAV Video
- Fixed YADIF deinterlacing (broken after a ffmpeg update on 0.55)

LAV Audio
- Switched to Triangular Dithering for 16-bit Integer conversions

0.55.0 - 2013/01/09
General
- All Filters now have an optional tray icon which can open the property sheet when clicked (disabled by default)

LAV Splitter
- Improved FPS detection for interlaced H.264 streams in Matroska
- Fixed H.264 in Ogg and PMP
- Fixed seeking in RMVB files with AAC audio
- Improved support for AAC in MPEG-TS (especially in ISDB-T)
- Fixed Key-Frame seeking for AVI and added support for MP4

LAV Video
- Improved handling of raw RGB video with LAV Splitter (Video was upside-down in some cases)
- Improved support for the Overlay Mixer renderer
- Fixed decoding of non-mod16 video with CUVID
- Fixed DXVA2 decoding of H.264 MBAFF content with >= 16px cropping
- Support for fade in/out animations in DVD subtitles
- Fixed DVD menu overlays showing too early on some discs
- Fixed forced DVD subtitles being stuck on the screen until the next subtitle line
- Improved playback of MPEG-1 in MKV with Haali Splitter

LAV Audio
- Fixed 6.1 to 7.1 upmixing when the standard channel layout option is turned off
- Dithering when converting audio to 16-bit Integer
- Fallback to DTS "Core" bitstreaming if DTS-HD fails

0.54.1 - 2012/11/27
LAV Splitter
- Improved seeking in MP4 files created by Windows Live Movie Maker

LAV Video
- Improved H.264 DXVA on recent Intel GPUs (Sandy/Ivy Bridge and newer Atoms)
  - Fixed corruption with high number of reference frames ( > 11 )
  - Fixed corruption in MBAFF interlaced content
- Fixed an issue that caused DVD menus/subtitles to stop working in DXVA2 Native mode in some situations

0.54.0 - 2012/11/24
LAV Splitter
- Subtitle selection in "Default" mode now properly takes the "Default Track" flag into account
- Fixed an issue that could cause graph flush events to be send out of sync

LAV Video
- The DXVA2 Native decoder can now properly detect hardware support for video resolutions
  - Allows 4K DXVA2 decoding on NVIDIA
- New options to control which resolutions are being handled by the hardware decoder (SD, HD and 4K/UHD)
- Added support for DVD menu overlays and DVD subtitles with DXVA2 Native
- Improved DXVA2 Native support with madVR
- Fixed a freeze when playing corrupted H.264 streams in DXVA2 Native
- Fixed a few rare DVD menu issues when using the QuickSync decoder

0.53.2 - 2012/11/11
LAV Video
- Fixed DVD menu still frames with DXVA2 Copy Back
- Fixed Live TV playback with QuickSync

0.53.1 - 2012/11/10
LAV Video
- Fixed initial media type when YADIF is active
- Fixed an image corruption issue with DVD playback
- Improved handling of DVD menus on some discs
- Reduced decode latency with CUVID/DXVA2-CB on DVDs for smoother playback in some situations
- Added an option to toggle HW decoding for DVDs

0.53.0 - 2012/11/05
LAV Splitter
- Added support for reading image files (tiff, png, jpeg, tga, bmp)
- Support for MPEG-4 ASP in MPEG-TS
- Support for reading metadata using the IAMMediaContent interface
- Fixed Aspect Ratio on some wmv/asf files

LAV Video
- Fixed a crash in the WMV9 DMO decoder on Windows 8
- DVD improvements
  - Subtitles are properly cleared from the screen, and won't be shown forever on some discs
  - Improved subtitle/menu positioning on some PAL discs
  - Improved handling of still frame DVD menus
  - Fixed a deadlock that caused the player to freeze in some DVD menus
  - Improved quality of blending subtitles/menus
- QuickSync improvements
  - Support using QuickSync in Fullscreen Exclusive mode (ie. in WMC)
  - Improved fallback to software decoding if QuickSync is not available
  - Support for DVD decoding
- Added support for Avid DV
- Properly indicate progressive video when YADIF deinterlacing is activated

LAV Audio
- Added proper DirectShow types and config options for AMR-NB, Nellymoser and various (AD)PCM variants

0.52.0 - 2012/10/20
LAV Splitter
- Improved IO performance on network sources
- Added an option to configure the maximum memory usage of the frame queues
- Support ALAC in MKV
- Support SRT subtitles in AVI
- Improved raw video support in combination with LAV Video

LAV Video
- Support for DVD Video decoding
- Slight GPU memory usage reduction with DXVA2 Native
- Fixed video corruption after seeks with VP3/Theora
- Fixed decoding of "old" H.264 4:4:4 lossless files
- More strict handling of output pixel formats, only enabled formats are allowed for output
- QuickSync: Improved compatibility with new driver series
- Improved support for VC-1 with the SageTV MpegDemux

LAV Audio
- Fixed a few issues with audio mixing
  - Some channels would occasionally be mixed twice, causing incorrect audio levels
  - Downmixing 8ch to stereo could crash on some systems
  - Increased maximum LFE coefficient to 3.0 and fixed scale to be consistent with surround/center coefficients
  - Added downmixing to Mono
  - Clipping protection is no longer reset on seeks
- Added support for Opus
- Fixed excessive memory allocations when decoding MPEG4-ALS

0.51.3 - 2012/07/19
LAV Splitter
- Further improved H264 media type creation

LAV Audio
- Fixed an issue with the initial media types causing graph building failures in some situations
- Fixed a bug with DVBViewer which caused a delay on channel changes

0.51.2 - 2012/07/15
LAV Splitter
- Improved H264 media type creation with some files
- Fixed reading of QuickTime/AppleText chapters in MOV/MP4

LAV Video
- Reduced latency of H264 software decoding (improves Live TV playback)
- Fixed chroma handling of the YCgCo to RGB conversion
- Fixed timestamp handling of MPEG2 (regression introduced in 0.51)

LAV Audio
- Re-Mix audio as a fallback when the audio chain refuses a new channel configuration
- Fixed an error that caused 16-bit FLAC to show as 24-bit on the status panel

0.51.1 - 2012/07/10
LAV Video
- Improved compatibility between DXVA and certain DVB players

0.51.0 - 2012/07/09
LAV Splitter
- Increased IO responsiveness on high-latency network connections
- Improved timestamp handling for MPEG-PS (.mpg/.vob/.evo)
- Improved support for H264 streams in SSIF MPEG-TS files
- Added an option to control the priority of audio streams for the hearing/visually impaired
- Added new flags to the advanced subtitle selection
  - "h" for hearing impaired
  - "n" for normal streams (no flags)
  - "!" NOT operator for inverting the meaning of the flags

LAV Video
- Improved DXVA2 Native to software fallback in some situations
- Support for YCgCo to RGB conversion
- Added a new smart Stream Aspect Ratio mode
  - Will only use Stream AR when the container does not provide a realiable AR

LAV Audio
- Improved decoding performance of MP4 ALS and a few other formats
- Fixed playback of COOK with the MPC-HC RM Splitter
- Auto A/V Sync is now automatically disabled on pure-audio files to avoid potential conflicts
- Audio Down-Mixing support

0.50.5 - 2012/05/12
LAV Video
- Fixed a crash in DXVA2-Native decoding (introduced in 0.50.4)

0.50.4 - 2012/05/12
LAV Video
- Fixed seeking with QuickSync running in madVR Exclusive Mode

0.50.3 - 2012/05/11
LAV Splitter
- Fixed playback of raw PCM in AVI streams
- Fixed a rare misdetection of MPEG-2 as VC-1

LAV Video
- QuickSync: Fixed playback of some H.264 streams that would run out of sync on newer drivers
- Fixed a memory leak when playing H.264 RGB (and some other formats)
- Improved behaviour for H.264 and MPEG-2 on Live TV channel changes

LAV Audio
- Added support for Speex (via libspeex)
- Improved support for AMR-NB/WB (using OpenCore decoder)

0.50.2 - 2012/04/26
LAV Splitter
- Improved support for Playback Rates other then 1.0x
- Improved demuxing performance by implementing a custom Sample Allocator to avoid one extra memory copy

LAV Video
- Fixed a rare crash when using YV12 output on non-mod16 video
- Fixed excessive memory consumption with Haali Splitter and DXVA2-CB
- Fixed a deadlock on dynamic format changes with DXVA2 Native
- Added support for YV24 output

LAV Audio
- Improved support for Playback Rates other then 1.0x
- Support for ALAC and ALS with the MPC-HC MP4 splitter
- Improved A/V Sync on dynamic format changes
- Improved Auto A/V Sync Correction algorithm (lower threshold, faster reaction)
- Fixed audio pitch when bitstreaming 44.1KHz AC3/DTS

0.50.1 - 2012/03/29
LAV Splitter
- Fixed Stream Detection on some Blu-rays with short Logo clips before the main movie
- Fixed a crash when processing invalid/broken PGS subtitles

LAV Video
- Fixed a crash on dynamic format changes (stream change, Blu-ray clip change)

0.50 - 2012/03/27
LAV Splitter
- Improved support for H264 Elementary Streams
- Fixed a regression with seeking in MPEG-TS files recorded by some HD-PVR devices

LAV Video
- New Worker Thread design for Decoding/Deinterlacing
  - WMV9+YADIF is up to 40% faster
- Improved DXVA2 for MPEG-2 interlaced
- Improved H264 DXVA2 on AMD with certain streams
- Improved CUVID support for 4K streams on supported hardware (GT520, GTX680, other VP5 hardware)

LAV Audio
- Added support for RealAudio Lossless (RALF)

0.49 - 2012/03/10
LAV Splitter
- Improved MKV demuxing performance from slow sources (network streaming, etc)
- Improved stream detection on Blu-rays
- Improved support for RealAudio (COOK, SIPR, etc) in MKV
- Support for streaming from HTTP URLs

LAV Audio
- Improved support for DTS files with Little-Endian or 14B encodings

LAV Video
- New VC1/WMV3 decoder based on the Microsoft DMO Decoder (new default)
- Updated Intel QuickSync decoder (0.29, r44)
- Fixed decoding of some MBAFF H264 streams with DXVA2
- Improved Stream Aspect Ratio logic in the CUVID decoder for H264 streams
- Fixed Deinterlacing when DXVA2 Native is active in certain situations

0.48 - 2012/02/24
LAV Splitter
- Improved Video/Audio stream detection in some MPEG-TS files

LAV Video
- Fixed a potential crash with native DXVA2 when the software fallback was used

0.47 - 2012/02/20
LAV Audio
- Fixed seeking in COOK audio with the MPC-HC RealMedia splitter

LAV Video
- New DXVA2 "native" decoder (see release notes)
- Updated Intel QuickSync decoder and tweaked configuration (0.28, r41)
- Overall performance improvements
- Multi-threaded decoding for Fraps
- Fixed a regression that resulted in only single-threaded playback on certain H264 files
- Fixed a crash in the CUVID decoder introduced in 0.46 under certain circumstances

0.46 - 2012/02/12
LAV Splitter
- Experimental support for streaming protocols (RTSP, RTP, MMS)
- Support for IBufferInfo (Buffer Status in MPC-HC "Statistics" pane)
- Added a memory limit to avoid too high memory use from the frame queues
- Fixed playback of files with Subtitles in WMP/WMC in some cases

LAV Audio
- Improved playback of files with bad audio frame interleaving
- Improved support of COOK, ATRAC and SIPR (RealAudio codecs)

LAV Video
- Updated and improved Intel QuickSync decoder (0.26, r38)
- Fixed DXVA2 software fallback on some lossless H264 clips
- Improved Fraps decoding with EVR
- Improved playback of MPEG4 in MP4
- Multi-threaded decoding for Lagarith
- Fixed playback of Theora with the MPC-HC Ogg Splitter
- Dithering Enhancements:
  - New "Random Dithering" option (new default)
  - Improved "Ordered Dithering" in the RGB converter
- Support for decoding v210/v410 raw formats
- Support for Snow and FFV1

0.45 - 2012/01/28
LAV Splitter
- Improved playback of concatenated H.264 MOV/MP4 files
- Adjusted FLAC MediaType to avoid ReClock stealing the connection
- Improved playback of MPEG-TS with timestamp discontinuities

LAV Audio
- Fixed playback of very short PCM samples
- Improved COOK decoding without LAV Splitter

LAV Video
- New DXVA2 "copy back" decoder (see release notes)
- Updated Intel QuickSync decoder (r29)
- Multi-threaded decoding for RV30/40, UtVideo and DNxHD
- Support for the "FCC" color matrix
- Improved Dirac support
- CUVID support for MPEG-4 ASP (experimental)
- Support for Intel Indeo 4, MS Video 1, 8BPS, LOCO, ZMBV, VCR1, AASC

0.44 - 2012/01/07
LAV Splitter
- Fixed a seeking regression in the mkv demuxer introduced in 0.43
- Fixed a bug that caused stream descriptions to vanish after the file finished playing
- Improved playback of WMVA video with commercial decoders
- Added support for the new OpenType MIME type produced by mkvtoolnix > 5.2.0

LAV Audio
- Fixed LATM AAC playback with some source filters

LAV Video
- Added Intel QuickSync hardware decoder
- Added support for YADIF with hardware decoding
- Added support for Dirac decoding
- Added support for DNxHD decoding
- Added support for v210/v410 output
- Improved dynamic reconnection with post-processing filters
- Fixed a seeking related corruption issue with MPEG4-ASP

0.43 - 2011/12/21
LAV Splitter
- Improved MKV seeking and demuxing performance
- Improved buffering for smoother playback (especially at start/after seeks)
- Fixed a few audio media type issues
- Fixed a minor resource handle leak

LAV Audio
- Updated to new ffmpeg audio decoding API
- Disabled Float Audio output on Windows XP by default

LAV Video
- Fixed handling of soft-telecined MPEG2/H264 broadcasts in CUVID mode
- Improved support for 4:2:2 10-bit streams
- Fixed a crash related to unaligned memory buffers on Windows  XP
- Added support for decoding AMV streams

0.42 - 2011/11/30
LAV Splitter
- Fixed a timestamping bug in the new MKV demuxer
- Further enhancements to explorer thumbnail generation

0.41 - 2011/11/29
LAV Splitter
- New MKV Demuxer (see release notes for details)
- Fixed a bug with the Vorbis Media Type
- Disabled Subtitles when generating Thumbnails in Explorer

LAV Video
- Fixed a overflow in 10 -> 8 bit dithering and NV12 output

0.40 - 2011/11/21
LAV Splitter
- Improved demuxing of raw PCM streams
- Fixed VC-1 in MP4 with the MS WMVideo Decoder
- Improved playback of files with TrueHD audio streams
- Added support for a requested stop time from the player
- Improved playback of Blu-ray rips created by EasyBD
- Added support for RGB24 raw video in AVI

LAV Audio
- Improved decoding of formats with extremely large audio frames

LAV Video
- Added YADIF software deinterlacing
- Rewritten Interlaced options
  - Added new "Aggressive" deinterlacing mode
  - Moved many interlaced related options to global level
- Fixed an issue with stream compatibility detection in the CUVID decoder, causing a software fallback when not required

0.39 - 2011/11/07
LAV Splitter
- Fixed a bug that caused MPEG-2 and VC-1 parsers to produce wrong timestamps after a seek
- Fixed playback of raw .h264 files

LAV Video
- NV12 is now the preferred YUV 4:2:0 output format
- Fixed handling of the "As Input" RGB output setting
- Improved VP6 cropping
- Don't report completely progressive movies as interlaced to the renderer
- Fixed playback of some broken MPEG-2 MKV muxes
- RGB will now by default be offered as Bottom-Up instead of Top-Down for improved compatibility

0.38 - 2011/11/01
LAV Splitter
- New subtitle selection options (see release notes or readme)
- Improved handling of languages with more then one ISO 639-2 code (f.ex. German, French, etc)
- Improved seeking to the start of the file
- Added support for VobSubs in MP4
- Added support for MKV nested chapters
- Improved playback of RV40 in MKV
- Improved support of H264 in WTV

LAV Audio
- Fixed a crash with raw audio and SPDIF processing
- Improved support for COOK
- Improved DTS-in-WAV detection

LAV Video
- Fixed a issue that caused MPC-HCs EVR-CP to produce wrong colors when using CUVID decoding
- Support Multi-Threading and CUVID decoding for MPEG-1
- Improve decoder flushing
- Fixed a potential freeze on load and dynamic type changes
- Fixed a freeze on seeking with certain VP8 files
- Added support for UtVideo
- Added support for H264 4:2:2

0.37 - 2011/10/06
LAV Splitter
- Improved handling of failures on the output pins
- Improved VC-1 in EVO timestamps

LAV Audio
- Added support for dynamic channel count changes in AAC
- Implemented support for sample format conversions
- Implemented Audio Delay options
- Disabled the WMA codecs by default
- Improved Bitstreaming data flow

LAV Video
- Fixed cropping of VP6 video
- New SSE2 YUV420 -> YUV422 converter
- Performance enhancements in the CUVID decoder on some systems
- Fixed playback with the XP Overlay Mixer
- Fixed a crash when decoding RGB video (Fraps, etc)

0.36 - 2011/09/29
LAV Splitter
- Improved support for ADTS AAC
- Fixed MPEG-2 timestamps in VOB
- Fixed MPEG-2 frame rate reporting for telecined/interlaced

LAV Video
- Integrated NVIDIA CUVID Hardware decoder
- Performance enhancements in 10bit decoding
- Support for Flash Screen Video (FSV1)
- Support for Apple ProRes
- Improved MPEG-2 playback
- Improved A/V sync with VC-1 and MPEG4-ASP

0.35 - 2011/09/07
LAV Splitter
- Fixed a crash in IAMStreamSelect::Info handling with certain applications
- Improve duration calculation for MPEG files

LAV Audio
- Fix playback of DTS streams which change the channel mid-playback

LAV Video
- Fixed a crash with 10-bit decoding and benchmarking tools
- Fixed a H264 NALU parsing issue with certain streams

0.34 - 2011/09/04
LAV Splitter
- Improve playback of VC-1 in EVO
- Support for SSA subtitles in AVI
- Support for H264 in VFW mode in MKV

LAV Video
- New optimized pixel format converters (faster and more accurate)
- New YUV->RGB converter
- Support for PNG video

0.33 - 2011/08/22
LAV Splitter
- Improved compatibility with the MS WMVideo decoder
- Fixed the mediatype for raw PCM streams

LAV Audio
- Added support for Vorbis streams demuxed by Haali and MPC-HC Splitters

LAV Video
- VC-1 decoding is now disabled by default
- Fixed behaviour of the Stream AR option
- The maximum number of decoding threads is now 16
- Free decoding buffers when the input pin disconnects to avoid big memory leaks

0.32 - 2011/08/19
General
- The installer will now add shortcuts to the start menu to open the filter configurations
- The ffmpeg DLLs have been renamed to carry a "lav" suffix to avoid collisions with other components

LAV Splitter
- Improved detection of AAC LATM tracks (previously mis-detected as mp1/mp2)
- Fixed playback of badly interleaved AVI files
- Smarter default stream selection for RealMedia files
- Improved stream language handling for Blu-rays
- Fixed a crash issue with the Forced Subtitle pin on Blu-rays

LAV Audio
- DTS decoding failures are now handled more gracefully
- Fixed Media Types for Stereo 44.1kHz Audio

LAV Video
- First official version - refer to release notes for details

0.31 - 2011/07/28
LAV Splitter
- Improved audio codec selection priorities
- Improved VC-1 playback when using the madVR internal decoder
- Improved playback of MPEG-TS files with a timestamp wrap right at the beginning of a file
- Reduced amount of data required for file probing, resulting in faster startup time
- Fixed demuxing/timestamping of RealMedia files

LAV Audio
- Fixed a bug in the DTS parser which caused occasional hiccups on DTS-HD content
- Added the ability to detect DTS-in-WAV

0.30 - 2011/07/15
LAV Splitter
- Improved VC-1 playback with ffdshow DXVA
- Added support for outputting MPEG-4 Timed Text subtitles (only pure text supported)
- Better support for MLP audio
- I/O performance enhancements
- Added an option to toggle how LAV Splitter handles audio stream switching
- Added a hard-limit on queue sizes to avoid excessive memory usage when transcoding
- Added an experimental interface for the Player to control graph rebuilding

LAV Audio
- Further improvements to the DTS-HD parsing
- Better support for MLP audio
- Added more E-AC3 subtypes

0.29 - 2011/06/09
LAV Splitter
- The language code is now always shown in the stream changer (as a hint to easily know what to put into the preferred languages fields)
- Enabled ITrackInfo
- Improved H264 in MPEG-TS playback (including an option to try to fix broken HD-PVR recordings)
- Added a programmatic configuration interface for players to configure LAV Splitter

LAV Audio
- Added support for decoding encrypted DVD audio
- Fix decoding of some DTS-HD streams with the ArcSoft decoder
- Added a programmatic configuration interface for players to configure LAV Audio

0.28 - 2011/05/27
LAV Splitter
- Improved PGS filtering, forced subtitles should be cleared off the screen properly more often.
- Improved playback of H264 in MPEG-TS with certain files (mostly from camcorders, but some Blu-rays as well)
- Fixed 16-bit LPCM on DVDs
- Fixed the Media Types for uncompressed video

LAV Audio
- Added the ability to decode DTS Express when using the ArcSoft DTS Decoder
- Fixed missing audio after seeks with Ogg Vorbis

0.27 - 2011/05/24
General
- Added debug versions which generate log files on your desktop

LAV Splitter
- Fixed a memory leak when switching streams
- Increased probe buffer size (which results in files to be properly detected in more cases)
- Fixed playback of MPEG-TS files with a odd program configuration

LAV Audio
- Improvements to the DTS decoder interface
  - Support for 1.1.0.0
  - Try to reverse any channel upmixing done by the decoder, outputting the audio as close to the original source as possible.
- New Channel Mapping functionality
  - Output only "standard" channel layouts (Mono, Stereo, 5.1, 6.1, 7.1), filling non-existent channels with silence. Required by some HDMI receivers with "odd" source layouts. (default)
  - Convert Mono to Stereo (simply double the audio channel)
  - Convert 6.1 to 7.1 (Back Center gets doubled into both back channels)

0.26 - 2011/05/15
General
- The VC2010 runtime is no longer required to be installed

LAV Splitter
- Further VC-1 in MKV improvements
- Added a separate "mpegvideo" (m2v files) option to the Format section
- Added a flag for secondary audio streams
- Changed the default DTS media type (better compatibility)

LAV Audio
- Added the ability to use the ArcSoft DTS decoder directly through LAV Audio
- Added an automatic algorithm to keep A/V sync stable
- Improved Bitstreaming with splitters other then LAV Splitter
- Improved timestamp generation when bitstreaming
- Fixed LPCM 24-bit Media Types

0.25 - 2011/05/06
LAV Splitter
- Added the ability to filter Blu-ray PGS subtitles, so only frames flagged as "forced" are delivered
  - Either through a new "Forced Subtitles" stream (default)
  - Or, filtering for every PGS stream (configurable)
- Improved support for H264 in AVI
- Improved timings for TrueHD in MKV
- m2ts files directly openend inside a Blu-ray structure should now properly display stream languages
- Alot of fixes and enhancements for format compatibility (especially MPEG-TS)
- Support using the ArcSoft HD Audio Decoder for E-AC3

LAV Audio
- Audio bitstreaming (pass-through) for HDMI and S/PDIF
  - Support for AC3, E-AC3, TrueHD, DTS and DTS-HD
- Use the float decoders for mp1/mp2
- Added official support for WMAv1, WMAv2 and WMA Pro
- Fixed an issue that caused sync issues with FLAC audio, and FLAC is once again enabled by default

0.24 - 2011/04/25
General
- Big ffmpeg update! Libraries have been renamed (version increase)

LAV Splitter
- Obviously wrong frame rates will no longer be reported to the decoder
- Improved mpeg2 playback
- Improved dynamic media type changes
- Fix the first few frames of ASS/SSA subtitles in Matroska
- Fix an issue with the display of some codec names
- Add proper subtypes for little-endian PCM
- Fix subtypes for QT PCM

LAV Audio
- Support processing of 64-bit double output from the decoders
- PCM data will be buffered before its send to the renderer/post processor

0.23 - 2011/04/21
General
- There is now an installer available in addition to the trusted old .zip files!

LAV Splitter
- Added support for using the "File Source (Async)" (and others) together with LAV Splitter
  - This is the new default mode for improved compatibility!
  - Check release notes for additional informations.
- Added configuration which input formats will be demuxed
- Improved VC-1 in MKV playback

LAV Audio
- Fixed playback of lossless formats with huge sample sizes
- Improved A/V sync with TrueHD (and possibly others)
- FLAC decoding is now disabled by default, because the decoder is not 100% working

0.22 - 2011/04/11
LAV Splitter
- Added support for MKV embedded fonts
- Improved VC-1 and H264 parsing
- Fixed choppy XVID playback in MKV
- Fixed a seeking issues that caused incompatibilitys with certain decoders (eg. a crash in ffdshow libmpeg2)
- No longer report incomplete lists of keyframes via IKeyFrameInfo, as it would break seeking in certain players.
- Allow opening all .mpls files if the user directly specifys to open one, even if it contains loops or duplicate titles.
- Improved playback of MPEG-TS with multiple programs
- Added new debugging option (Generate missing timestamps)

0.21 - 2011/04/07
LAV Splitter
- Improve MPEG-TS program handling in some special circumstances
- Filter out misdetected audio streams (unsupported DTS Express on BluRays)
- Increase the priority of DTS-HD over normal DTS
- Use the official AVI MEDIASUBTYPE instead of a custom one
- Added options to completly disable stream parsing
- Added a new VC-1 parser which will take over when VC-1 timestamp adjustments are turned off

0.20 - 2011/04/05
LAV Splitter
- Added first BluRay support (see Release Notes or README for more details)

LAV Audio
- Removed static jitter check which caused corruptions in some audio streams
- Improved error resilience - broken streams should now play in many more cases

0.19 - 2011/03/19
General
- Version Information has been added to the filter .ax files, as well as shown on the property pages.

LAV Splitter
- Redesigned stream name generations
  - Codec profiles are now shown (if known - supported are H264, VC1, MPEG2 and DTS)
  - Audio bit-depth is no longer shown for lossy codecs, as it doesn't apply there
  - Improved logic that parses the stream flags
  - Names for the subtitle codecs have been added
  - If the language is "Undetermined", it'll no longer be shown
- Size of the packet queue has been increased (solves subtitle issues, as well as improves playback stability)
- Redesigned the way the splitter registers for formats in the registry for better compatibility
- Changed the stream change handling for better compatibility with certain players (Media Portal, and others)
- Improved handling of unknown streams (no codec information present)
- Added a new option that controls if substreams should be exposed in the stream selector (Only AC3 in TrueHD supported)

LAV Audio
- Added a new configuration panel which allows to configure which formats the decoder should handle

0.18 - 2011/03/09
LAV Splitter
- Improved compatibility when decoding VC-1 with the ArcSoft and Cyberlink Decoders
- Increased the splitters merit
- Fixed an issue that caused the splitter to deadlock when changing streams with madVR

LAV Audio Decoder
- Fixed a bug that caused sample durations to be calculated wrong, causing playback glitches

0.17 - 2011/02/27
LAV Splitter
- Fixed seeking before starting playback

0.16 - 2011/02/27
LAV Audio Decoder
- Fixed missing audio after seeks

0.15 - 2011/02/27
LAV Splitter
- Fixed automatic selection of forced subtitle stream if the "Only Forced Subs" mode is active.
- Fixed a bug in file handling that caused file sizes above 4GB to overflow, causing invalid durations to be reported in some files.
- Improved performance on file opening

LAV Audio Decoder
- Enabled the ffmpeg codec parsers, which should improve compatibility with other DirectShow splitters.
- Added a audio channel activity display to the status property page (for debugging channel assignments)

0.14 - 2011/02/10
General
- The project and filters have been renamed slightly for consistency

LAV Splitter
- The settings have been moved to a different place in the Registry. You will need to re-apply them.
- Improved MPEG-TS duration calculations.
- The settings will now always be properly saved and loaded.
- Disabled the limit of 20 Streams per file.
- Fixed two separate issues that caused files to not start playing.

LAV Audio Decoder
- Property Page for Configuration and Status has been added
- Dynamic Range Compression is now off by default, but configurable.
- Media Type creation has been improved, fixes filter connection issues.
- Processing of UINT8 Samples has been fixed.
- Fixed a crash with some Audio codecs.
- Fixed Channel Order for 7.1 Streams
- Increased the decoders Merit
- Added support for decoding QT PCM

0.13 - 2011/01/29
LAVFSplitter
- Added support for demuxing BluRay LPCM tracks into the MPC-HC format
- Added a new LAVFSplitter specific media type to all audio streams
LAVCAudio
- First version of LAVCAudio implemented

0.12 - 2011/01/21
- Fixed a crash issue with certain configurations and files with subtitles
- Revisited file duration logic, now tries to prefer the duration of the video stream. This fixes MPEG-TS duration issues.
- Updated ffmpeg (a lot of issues resolved)

0.11 - 2010/11/06
- Smart stream pre-selection based on language, flags and quality
- Properties page for configuration (languages, stream selection logic)
- Added support for AAC LATM (single stream)
- Changed the "No Subtitles" pin to a more "friendly" Media Type
- Fixed a crash with certain AAC tracks

0.10 - 2010/10/26
- Added more MOV/MP4 byte markers
- Added support for multichannel PCM tracks
- Added support for DVD LPCM tracks
- Added support for usign the ArcSoft HD decoder for DTS and TrueHD tracks
- Send the proper media type for TrueHD instead of trying to connect with AC-3
- Improved H264 frame rate detection
- Improved FLAC support
- Fix loading of files with unicode characters in their names
- Fixed timestamping issues that caused certain videos to play too fast
- Fixed M-JPEG media type
- Fixed corruption with MPEG-4 ASP (DivX/Xvid) when using the Xvid decoder

0.9 - 2010/09/12
- Added support for distinguishing hearing impaired subtitles in mpeg-ts streams
- Added BluRay LPCM support
- MP1/MP2 audio media type fixes
- Honor the original FourCC of the file in media type generation
- Added support for using the Cyberlink VC-1 decoder
- Fixed an issue with some H264/AVC1 files that caused video to not play at all
- Fixed unicode in chapter names
- Fixed getting the current chapter

0.8 - 2010/08/30
- Alot of internal changes to enhance performance and maintainability
- Fixed a potential deadlock on seeking
- Fixed playing files without a video stream
- Fixed an issue that caused some players to hang on playback start
- Improved language detection

0.7 - 2010/08/23
- Further improvements to aspect ratio detection
- Restore old FPS detection
- Adjusted flushing to fix subtitle delays
- Reverted a timing change that broke TrueHD

0.6 - 2010/08/22
- Added support for E-AC3
- Fixed MPEG2 Media Types
- Added support for RealVideo in MKV
- Set proper aspect ratio in media type
- Fixed memory leaks in packet handling code
- Unicode support for stream names
- Threading changes for more fluid playback at startup
- Changed Flushing behaviour that solves a conflict with the MS DTV-DVD Decoder
- Better support for Vorbis audio
- Registers for the OGG Container Format

0.5 - 2010/08/18
- Fixed duration of MPEG-TS files
- Added support for DVB subtitles
- Fixed switching of Audio and Subtitle Streams
- Added a "No Subtitles" Stream

0.4 - 2010/08/16
- Improved SSA Subtitle support
- Fixed freeze-on-stop issue

0.3 - 2010/08/15
- Added Chapter support
- Improved stream descriptions
- 64-bit support

0.2 - 2010/08/14
- Fixed overflow in timestamp calculation causing AVIs to play too fast

0.1 - 2010/08/14
- Initial Release
